%define upstream_name    SelfLoader
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Automatic function loader (using __DATA__)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildArch:  noarch

%description
This module tells its users that functions in the FOOBAR package are to be
autoloaded from after the '__DATA__' token. See also the
perlsub/"Autoloading" manpage.

The __DATA__ token
    The '__DATA__' token tells the perl compiler that the perl code for
    compilation is finished. Everything after the '__DATA__' token is
    available for reading via the filehandle FOOBAR::DATA, where FOOBAR is
    the name of the current package when the '__DATA__' token is reached.
    This works just the same as '__END__' does in package 'main', but for
    other modules data after '__END__' is not automatically retrievable,
    whereas data after '__DATA__' is. The '__DATA__' token is not
    recognized in versions of perl prior to 5.001m.

    Note that it is possible to have '__DATA__' tokens in the same package
    in multiple files, and that the last '__DATA__' token in a given
    package that is encountered by the compiler is the one accessible by
    the filehandle. This also applies to '__END__' and main, i.e. if the
    'main' program has an '__END__', but a module 'require'd (_not_ 'use'd)
    by that program has a 'package main;' declaration followed by an
    ''__DATA__'', then the 'DATA' filehandle is set to access the data
    after the '__DATA__' in the module, _not_ the data after the '__END__'
    token in the 'main' program, since the compiler encounters the
    'require'd file later.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.200.0-3.mga4
+ Revision: 514600
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 372578
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 04 2012 jquelin <jquelin> 1.200.0-1.mga2
+ Revision: 190540
- update to 1.20

* Fri Feb 18 2011 jquelin <jquelin> 1.180.0-2.mga1
+ Revision: 53659
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.180.0-1.mga1
+ Revision: 31144
- mageia rebuild
- imported package perl-SelfLoader

